This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 431870 - cannot handle file with spaces in path correctly
cannot handle file with spaces in path correctly
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: quilt (Show other bugs)
el5
All All
low Severity medium
: ---
: ---
Assigned To: Josh Boyer
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-07 10:15 EST by Klaus Ethgen
Modified: 2017-04-06 06:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:29:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Klaus Ethgen 2008-02-07 10:15:30 EST
Description of problem:
Having a source where the "developer" has spaces in dirs or files quilt will
silently fail adding or removing files.

Version-Release number of selected component (if applicable):
All, upstream known (#19477)

How reproducible:
Create a file with spaces in the name and try to edit them.

Actual results:
You can edit the file without problems but it will not be in the patch if you
use quilt refresh.

Expected results:
Expected is the expected result. Sorry, but this is really what is expected.

Additional info:
I identified the problem in 3 files. /usr/share/quilt/{add,push,remove}. The
problem has to be diverted in two subproblems.
1. Using "$@" instead of "$*" or even $*.
2. Correctly quoting of the file name in the subcalls in that files.
Comment 1 Fedora End Of Life 2017-04-06 06:29:37 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.